Skip to main content
GET
/
credit-applications
Get credit applications
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/credit-applications \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "items": [
    {
      "id": "<string>",
      "organization": {
        "id": "<string>",
        "name": "<string>",
        "email": "jsmith@example.com"
      },
      "credit_application_type": "credit_terms",
      "status": "pending",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "expires_at": "2025-01-02T12:00:00.123456",
      "amount": 123,
      "currency": "<string>",
      "payment_terms": "<string>",
      "security_compliance": "<string>",
      "extra_details": {
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "proposed_amount": 60000,
        "proposed_terms": "Net 45"
      }
    }
  ],
  "total_items": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

shipper_id
string<uuid> | null

Filter credit applications by guest UUID

Example:

"c1e2f3b4-5a6b-7c8d-9e0f-1a2b3c4d5e6f"

forwarder_id
string<uuid> | null

Filter credit applications by owner UUID

Example:

"d2f8e6c4-1b3c-4a7b-9d2f-3b1e0a987654"

credit_application_types
enum<string>[] | null

Filter by credit application types

Minimum array length: 1
Available options:
credit_terms,
trade_finance,
factoring
credit_application_statuses
enum<string>[] | null

Filter by credit application statuses

Minimum array length: 1
Available options:
pending,
internal_review,
external_review,
needs_action,
approved,
finalized,
declined,
rejected,
expired,
sign_document_created,
sign_document_in_progress,
sign_document_completed,
sign_document_expired,
sign_document_canceled,
sign_document_declined,
sign_document_process_failed
search_field
string
default:organization_name

Field to search by

Allowed value: "organization_name"
search_text
string | null

Text to search for

Required string length: 1 - 255
Example:

"Example Corp"

order_by
enum<string>
default:organization_name

Field to order the results by

Available options:
organization_id,
organization_name,
organization_email,
credit_application_type,
created_at,
updated_at,
amount,
payment_terms,
status,
extra_details_updated_at,
extra_details_created_at
order_dir
enum<string>
default:asc

Direction of the ordering

Available options:
asc,
desc
limit
integer
required

Maximum number of items to return

Required range: x <= 100
Examples:

10

20

50

offset
integer
required

Number of items to skip for pagination

Required range: x >= 0
Examples:

0

50

100

Response

Successful Response

items
CreditApplicationListItem · object[]
required

List of credit application list items

total_items
integer
required

Total number of credit applications in the list

Required range: x >= 0
Examples:

10

20

50